Keeps values from right, while a test passes. [:running:] [:vhs:] [:package:] [:moon:] [:ledger:]
> Alternatives: [take], [takeRight], [takeWhile], [takeWhileRight].<br>
> Similar: [take], [drop].<br>
> This is part of package [extra-array].

[extra-array]: https://www.npmjs.com/package/extra-array

```javascript
array.takeWhileRight(x, ft);
// x:  an array
// ft: test function (v, i, x)
```

```javascript
const array = require('extra-array');

var x = [1, 2, 3, 4, 5];
array.takeWhileRight(x, v => v >= 3);
// [ 3, 4, 5 ]

array.takeWhileRight(x, v => v >= 4);
// [ 4, 5 ]
```

### references

- [Data.List.takeWhile: Haskell](https://hackage.haskell.org/package/base-4.14.0.0/docs/Data-List.html#v:takeWhile)
- [Array.prototype.slice: MDN web docs](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Array/slice)

[take]: https://github.com/nodef/extra-iterable/wiki/take
[takeWhile]: https://github.com/nodef/extra-iterable/wiki/takeWhile
[drop]: https://github.com/nodef/extra-iterable/wiki/drop
[:running:]: https://npm.runkit.com/@extra-iterable/take-while-right
[:package:]: https://www.npmjs.com/package/@extra-iterable/take-while-right
[:moon:]: https://www.npmjs.com/package/@extra-iterable/take-while-right.min
[:ledger:]: https://unpkg.com/@extra-iterable/take-while-right/
[takeRight]: https://github.com/nodef/extra-iterable/wiki/takeRight
[takeWhileRight]: https://github.com/nodef/extra-iterable/wiki/takeWhileRight
[:vhs:]: https://asciinema.org/a/339838
[:running:]: https://npm.runkit.com/@extra-array/take-while-right
[:package:]: https://www.npmjs.com/package/@extra-array/take-while-right
[:moon:]: https://www.npmjs.com/package/@extra-array/take-while-right.min
[:ledger:]: https://unpkg.com/@extra-array/take-while-right/
